# Uses of Class
javafx.scene.control.SpinnerValueFactory

Packages that use SpinnerValueFactory
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of SpinnerValueFactory in javafx.scene.control

Subclasses of SpinnerValueFactory in javafx.scene.control
Modifier and Type
Class
Description
`static class`
`SpinnerValueFactory.DoubleSpinnerValueFactory`
A `SpinnerValueFactory` implementation designed to iterate through double values.
`static class`
`SpinnerValueFactory.IntegerSpinnerValueFactory`
A `SpinnerValueFactory` implementation designed to iterate through integer values.
`static class`
`SpinnerValueFactory.ListSpinnerValueFactory<T>`
A `SpinnerValueFactory` implementation designed to iterate through a list of values.
Methods in javafx.scene.control that return SpinnerValueFactory
Modifier and Type
Method
Description
`final SpinnerValueFactory<T>`
Spinner.`getValueFactory()`
Gets the value of the `valueFactory` property.
Methods in javafx.scene.control that return types with arguments of type SpinnerValueFactory
Modifier and Type
Method
Description
`final ObjectProperty<SpinnerValueFactory<T>>`
Spinner.`valueFactoryProperty()`
The value factory is the model behind the JavaFX Spinner control - without a value factory installed a Spinner is unusable.
Methods in javafx.scene.control with parameters of type SpinnerValueFactory
Modifier and Type
Method
Description
`final void`
Spinner.`setValueFactory(SpinnerValueFactory<T> value)`
Sets the value of the `valueFactory` property.
Constructors in javafx.scene.control with parameters of type SpinnerValueFactory
Modifier
Constructor
Description
``
`Spinner(SpinnerValueFactory<T> valueFactory)`
Creates a Spinner instance with the given value factory set.